package pwc.taxtech.atms.service.impl;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import pwc.taxtech.atms.dao.PeriodInfoMapper;
import pwc.taxtech.atms.dto.OperationResultDto;
import pwc.taxtech.atms.dto.taxadmin.PeriodInfoDto;
import pwc.taxtech.atms.entitiy.PeriodInfo;
import pwc.taxtech.atms.entitiy.PeriodInfoExample;
import pwc.taxtech.atms.service.ProjectInfoService;

import java.util.List;

@Service
public class ProjectInfoServiceImpl implements ProjectInfoService {
    private static final Logger LOGGER = LoggerFactory.getLogger(ProjectServiceImpl.class);
    @Autowired
    private PeriodInfoMapper periodInfoMapper;

    @Override
    public OperationResultDto<Boolean> isProjectImportedData(String projectId, Integer serviceType, Integer importTypeId) {
        try {
            PeriodInfoExample example = new PeriodInfoExample();
            PeriodInfoExample.Criteria criteria = example.createCriteria().andProjectIDEqualTo(projectId).andImportTypeEqualTo(importTypeId);
            if (serviceType != null) criteria.andServiceTypeEqualTo(serviceType);

            List<PeriodInfo> piList = periodInfoMapper.selectByExample(example);

            OperationResultDto<Boolean> ord = new OperationResultDto<>();
            ord.setResult(piList != null & !piList.isEmpty());
            ord.setData(ord.getResult());
            return ord;
        } catch (Exception e) {
            LOGGER.warn("IsProjectImportedData method error", e);
            OperationResultDto<Boolean> ord = new OperationResultDto<>();
            ord.setResult(false);
            ord.setData(false);
            return ord;
        }
    }

    @Override
    public OperationResultDto<Boolean> isProjectImportedData(String projectId, Integer importTypeId) {
        return isProjectImportedData(projectId, null, importTypeId);
    }

    @Override
    public OperationResultDto<List<PeriodInfoDto>> getProjectImportType(String projectId, List<Integer> periods, Integer serviceTypeId, String id) {
        return null;
    }
}
