package pwc.taxtech.atms.vat.service.impl;

import org.springframework.stereotype.Service;
import pwc.taxtech.atms.common.CommonUtils;
import pwc.taxtech.atms.dto.vatdto.CustomsInvoiceDto;
import pwc.taxtech.atms.vat.entity.CustomsInvoiceExample;
import pwc.taxtech.atms.vat.service.CustomsInvoiceService;

import java.math.BigDecimal;
import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.List;

@Service
public class CustomsInvoiceServiceImpl extends VatAbstractService implements CustomsInvoiceService {
    @Override
    public List<CustomsInvoiceDto> getCustomsInvoicesByPeriodIds(int fromPeriod, int toPeriod) {
        CustomsInvoiceExample example = new CustomsInvoiceExample();
        example.setOrderByClause(" PayNum");
        example.createCriteria().andPeriodIdBetween(fromPeriod, toPeriod);
        List<CustomsInvoiceDto> result = new ArrayList<>();
        customsInvoiceMapper.selectByExample(example).forEach(a -> {
            CustomsInvoiceDto dto = new CustomsInvoiceDto();
            CommonUtils.copyProperties(a, dto);
            result.add(dto);
        });

        int seqNo = 1;
        DecimalFormat df = new DecimalFormat("#.00");
        for (CustomsInvoiceDto dto : result) {
            dto.setSeqNo(seqNo++);
            if (dto.getInvoiceAmount() != null) {
                dto.setInvoiceAmount(new BigDecimal(df.format(dto.getInvoiceAmount())));
            }
            if (dto.getInvoiceTaxAmount() != null) {
                dto.setInvoiceTaxAmount(new BigDecimal(df.format(dto.getInvoiceTaxAmount())));
            }
        }

        return result;
    }
}
