package pwc.taxtech.atms.vat.service.impl;

import org.springframework.stereotype.Service;
import pwc.taxtech.atms.common.CommonUtils;
import pwc.taxtech.atms.dto.OperationResultDto;
import pwc.taxtech.atms.dto.PagingResultDto;
import pwc.taxtech.atms.dto.vatdto.InputInvoicePreviewQueryParam;
import pwc.taxtech.atms.dto.vatdto.InputVATInvoiceDto;
import pwc.taxtech.atms.dto.vatdto.InputVATInvoiceItemDto;
import pwc.taxtech.atms.dto.vatdto.QueryOutputDto;
import pwc.taxtech.atms.vat.entity.InputVATInvoiceItem;
import pwc.taxtech.atms.vat.entity.InputVATInvoiceItemExample;
import pwc.taxtech.atms.vat.service.InputInvoiceDataImportService;

import java.util.ArrayList;
import java.util.List;

@Service
public class InputInvoiceDataImportServiceImpl extends VatAbstractService implements InputInvoiceDataImportService {

    @Override
    public PagingResultDto<InputVATInvoiceDto> getInputInvoiceTreeViewData(InputInvoicePreviewQueryParam paras) {
        PagingResultDto<InputVATInvoiceDto> qResult = new PagingResultDto<>();
        qResult.setPageInfo(paras.getPageInfo());
        qResult.setList(new ArrayList<>());
        long result = inputVATInvoiceMapper.getInputVATInvoiceCountByCondition(paras);
        qResult.getPageInfo().setTotalCount((int) result);
        if (result > 0) {
            int limitFrom = paras.getPageInfo().getPageSize() * (paras.getPageInfo().getPageIndex() - 1);
            List<InputVATInvoiceDto> fResult = new ArrayList<>();
            inputVATInvoiceMapper.getInputVATInvoiceCountByConditionWithPaging(paras, limitFrom).forEach(a -> {
                InputVATInvoiceDto inputVATInvoiceDto = new InputVATInvoiceDto();
                CommonUtils.copyProperties(a, inputVATInvoiceDto);
                fResult.add(inputVATInvoiceDto);
            });
            qResult.setList(fResult);
        }
        return qResult;
    }

    @Override
    public List<InputVATInvoiceItemDto> getInputInvoiceItemTreeViewData(String id) {
        InputVATInvoiceItemExample example = new InputVATInvoiceItemExample();
        example.createCriteria().andInputVATInvoiceIDEqualTo(id);
        List<InputVATInvoiceItem> list = inputVATInvoiceItemMapper.selectByExample(example);
        List<InputVATInvoiceItemDto> result = new ArrayList<>();
        list.forEach(a -> {
            InputVATInvoiceItemDto dto = new InputVATInvoiceItemDto();
            CommonUtils.copyProperties(a, dto);
            result.add(dto);
        });
        return result;
    }
}
