-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

-- -----------------------------------------------------
-- Schema mydb
-- -----------------------------------------------------
-- -----------------------------------------------------
-- Schema DBKeyword_ProjectDbName
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Schema DBKeyword_ProjectDbName
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `DBKeyword_ProjectDbName` DEFAULT CHARACTER SET utf8mb4 ;
USE `DBKeyword_ProjectDbName` ;

-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`Account`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`Account` (
  `ID` VARCHAR(128) NOT NULL,
  `Code` VARCHAR(50) NOT NULL,
  `Name` VARCHAR(50) NOT NULL,
  `ParentCode` VARCHAR(50) NULL DEFAULT NULL,
  `FullName` VARCHAR(200) NULL DEFAULT NULL,
  `AcctProp` INT(11) NULL DEFAULT NULL,
  `SubProp` INT(11) NULL DEFAULT NULL,
  `AcctLevel` INT(11) NULL DEFAULT NULL,
  `Direction` INT(11) NOT NULL,
  `IsLeaf` SMALLINT(6) NOT NULL,
  `RuleType` INT(11) NOT NULL,
  `IsActive` SMALLINT(6) NOT NULL,
  `EnglishName` VARCHAR(200) NULL DEFAULT NULL,
  `IndustryID` VARCHAR(128) NOT NULL,
  PRIMARY KEY (`ID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`AccountRemap`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`AccountRemap` (
  `RemapId` VARCHAR(128) NOT NULL,
  `Period` INT(11) NOT NULL,
  `AcctCode` VARCHAR(50) NULL DEFAULT NULL,
  `CustomerCode` VARCHAR(50) NULL DEFAULT NULL,
  `RemapDebit` DECIMAL(18,3) NULL DEFAULT NULL,
  `RemapCredit` DECIMAL(18,3) NULL DEFAULT NULL,
  `StdCode` VARCHAR(50) NULL DEFAULT NULL,
  `ReMappName` VARCHAR(200) NOT NULL,
  `ReMappReason` TEXT NULL DEFAULT NULL,
  `ReMappTypeId` INT(11) NOT NULL,
  `CreateTime` DATETIME NULL DEFAULT NULL,
  `UpdateTime` DATETIME NULL DEFAULT NULL,
  `CreatorID` VARCHAR(128) NULL DEFAULT NULL,
  `RemapBatchId` VARCHAR(128) NULL DEFAULT NULL,
  PRIMARY KEY (`RemapId`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`AccountRemapSum`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`AccountRemapSum` (
  `AccountRemapSumId` VARCHAR(128) NOT NULL,
  `Period` INT(11) NULL DEFAULT NULL,
  `AcctCode` VARCHAR(50) NULL DEFAULT NULL,
  `Parent` VARCHAR(50) NULL DEFAULT NULL,
  `AcctLevel` INT(11) NULL DEFAULT NULL,
  `RemapDebit` DECIMAL(18,3) NULL DEFAULT NULL,
  `RemapCredit` DECIMAL(18,3) NULL DEFAULT NULL,
  `CreateTime` DATETIME NULL DEFAULT NULL,
  `UpdateTime` DATETIME NULL DEFAULT NULL,
  `CreatorID` VARCHAR(128) NULL DEFAULT NULL,
  PRIMARY KEY (`AccountRemapSumId`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`Balance`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`Balance` (
  `BalanceId` VARCHAR(128) NOT NULL,
  `PeriodId` INT(11) NULL DEFAULT NULL,
  `AcctCode` VARCHAR(50) NULL DEFAULT NULL,
  `CustomerCode` VARCHAR(50) NULL DEFAULT NULL,
  `BegDebitBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `BegCreditBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `BegBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `EndBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `EndDebitBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `EndCreditBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `DebitBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `CreditBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `MonthId` INT(11) NULL DEFAULT NULL,
  `YearDebitBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `YearCreditBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `CarryoverDebit` DECIMAL(18,3) NULL DEFAULT NULL,
  `CarryoverCredit` DECIMAL(18,3) NULL DEFAULT NULL,
  `YearCarryoverDebit` DECIMAL(18,3) NULL DEFAULT NULL,
  `YearCarryoverCredit` DECIMAL(18,3) NULL DEFAULT NULL,
  `DebitNet` DECIMAL(18,3) NULL DEFAULT NULL,
  `CreditNet` DECIMAL(18,3) NULL DEFAULT NULL,
  `YearDebitNet` DECIMAL(18,3) NULL DEFAULT NULL,
  `YearCreditNet` DECIMAL(18,3) NULL DEFAULT NULL,
  `StdCode` VARCHAR(50) NULL DEFAULT NULL,
  `MappingReason` TEXT NULL DEFAULT NULL,
  `MappingUser` VARCHAR(128) NULL DEFAULT NULL,
  `MappingTime` DATETIME NULL DEFAULT NULL,
  `SubProp` INT(11) NULL DEFAULT NULL,
  `IsDummy` INT(11) NULL DEFAULT NULL,
  PRIMARY KEY (`BalanceId`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`BalanceStd`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`BalanceStd` (
  `BalanceId` VARCHAR(128) NOT NULL,
  `PeriodId` INT(11) NULL DEFAULT NULL,
  `AcctCode` VARCHAR(50) NULL DEFAULT NULL,
  `BegDebitBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `BegCreditBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `BegBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `EndBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `EndDebitBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `EndCreditBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `DebitBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `CreditBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `YearDebitBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `YearCreditBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `CarryoverDebit` DECIMAL(18,3) NULL DEFAULT NULL,
  `CarryoverCredit` DECIMAL(18,3) NULL DEFAULT NULL,
  `YearCarryoverDebit` DECIMAL(18,3) NULL DEFAULT NULL,
  `YearCarryoverCredit` DECIMAL(18,3) NULL DEFAULT NULL,
  `DebitNet` DECIMAL(18,3) NULL DEFAULT NULL,
  `CreditNet` DECIMAL(18,3) NULL DEFAULT NULL,
  `YearDebitNet` DECIMAL(18,3) NULL DEFAULT NULL,
  `YearCreditNet` DECIMAL(18,3) NULL DEFAULT NULL,
  `CreateTime` DATETIME NULL DEFAULT NULL,
  `UpdateTime` DATETIME NULL DEFAULT NULL,
  `SubProp` INT(11) NULL DEFAULT NULL,
  PRIMARY KEY (`BalanceId`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`BalanceStdManual`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`BalanceStdManual` (
  `BalanceID` VARCHAR(128) NOT NULL,
  `PeriodID` BIGINT(20) NOT NULL,
  `AcctCode` VARCHAR(50) NOT NULL,
  `BegBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `BegDebitBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `BegCreditBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `DebitBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `CreditBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `YearDebitBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `YearCreditBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `EndBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `EndDebitBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `EndCreditBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `SubProp` INT(11) NULL DEFAULT NULL,
  `CarryoverDebit` DECIMAL(18,3) NULL DEFAULT NULL,
  `CarryoverCredit` DECIMAL(18,3) NULL DEFAULT NULL,
  `YearCarryoverDebit` DECIMAL(18,3) NULL DEFAULT NULL,
  `YearCarryoverCredit` DECIMAL(18,3) NULL DEFAULT NULL,
  `DebitNet` DECIMAL(18,3) NULL DEFAULT NULL,
  `CreditNet` DECIMAL(18,3) NULL DEFAULT NULL,
  `YearDebitNet` DECIMAL(18,3) NULL DEFAULT NULL,
  `YearCreditNet` DECIMAL(18,3) NULL DEFAULT NULL,
  PRIMARY KEY (`BalanceID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`CellComment`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`CellComment` (
  `ID` VARCHAR(128) NOT NULL,
  `CellDataId` VARCHAR(128) NOT NULL,
  `UserId` VARCHAR(128) NOT NULL,
  `UserName` VARCHAR(50) NULL DEFAULT NULL,
  `Comment` TEXT NULL DEFAULT NULL,
  `ReplyToUserName` VARCHAR(50) NULL DEFAULT NULL,
  `CreateTime` DATETIME NOT NULL,
  `UpdateTime` DATETIME NOT NULL,
  PRIMARY KEY (`ID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`CellData`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`CellData` (
  `ID` VARCHAR(128) NOT NULL,
  `ReportID` VARCHAR(128) NOT NULL,
  `CellTemplateID` VARCHAR(128) NOT NULL,
  `Data` VARCHAR(200) NULL DEFAULT NULL,
  `FormulaExp` LONGTEXT NULL DEFAULT NULL,
  `Creator` VARCHAR(128) NOT NULL,
  `CreateTime` DATETIME NOT NULL,
  `Updater` VARCHAR(128) NOT NULL,
  `UpdateTime` DATETIME NOT NULL,
  PRIMARY KEY (`ID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`CellDataSource`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`CellDataSource` (
  `ID` VARCHAR(128) NOT NULL,
  `CellTemplateID` VARCHAR(128) NOT NULL,
  `CellDataID` VARCHAR(128) NOT NULL,
  `DataSourceID` VARCHAR(128) NOT NULL,
  `OperationType` INT(11) NULL DEFAULT NULL,
  `CreateTime` DATETIME NOT NULL,
  `UpdateTime` DATETIME NOT NULL,
  PRIMARY KEY (`ID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`CompanyBalance`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`CompanyBalance` (
  `BalanceId` VARCHAR(128) NOT NULL,
  `PeriodId` INT(11) NULL DEFAULT NULL,
  `AcctCode` VARCHAR(50) NULL DEFAULT NULL,
  `CustomerCode` VARCHAR(50) NULL DEFAULT NULL,
  `BegDebitBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `BegCreditBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `BegBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `EndBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `EndDebitBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `EndCreditBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `DebitBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `CreditBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `MonthId` INT(11) NULL DEFAULT NULL,
  PRIMARY KEY (`BalanceId`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`CustBalance`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`CustBalance` (
  `BalanceId` VARCHAR(128) NOT NULL,
  `PeriodId` BIGINT(20) NOT NULL,
  `AcctCode` VARCHAR(50) NOT NULL,
  `CustomerCode` VARCHAR(50) NULL DEFAULT NULL,
  `BegBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `BegDebitBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `BegCreditBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `DebitBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `CreditBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `YearDebitBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `YearCreditBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `EndBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `EndDebitBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `EndCreditBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `MonthId` INT(11) NULL DEFAULT NULL,
  `IsDummy` INT(11) NULL DEFAULT NULL,
  PRIMARY KEY (`BalanceId`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`CustBalanceStd`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`CustBalanceStd` (
  `BalanceID` VARCHAR(128) NOT NULL,
  `PeriodID` INT(11) NOT NULL,
  `AcctCode` VARCHAR(50) NOT NULL,
  `CustomerCode` VARCHAR(50) NULL DEFAULT NULL,
  `BegBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `DebitBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `CreditBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `YearDebitBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `YearCreditBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `EndBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `BegDebitBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `BegCreditBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `EndDebitBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `EndCreditBal` DECIMAL(18,3) NULL DEFAULT NULL,
  PRIMARY KEY (`BalanceID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`CustBalanceStdManual`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`CustBalanceStdManual` (
  `BalanceID` VARCHAR(128) NOT NULL,
  `PeriodID` BIGINT(20) NOT NULL,
  `AcctCode` VARCHAR(50) NOT NULL,
  `CustomerCode` VARCHAR(50) NULL DEFAULT NULL,
  `BegBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `BegDebitBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `BegCreditBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `DebitBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `CreditBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `YearDebitBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `YearCreditBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `EndBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `EndDebitBal` DECIMAL(18,3) NULL DEFAULT NULL,
  `EndCreditBal` DECIMAL(18,3) NULL DEFAULT NULL,
  PRIMARY KEY (`BalanceID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`CustomsInvoice`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`CustomsInvoice` (
  `CustomsId` VARCHAR(128) NOT NULL,
  `PayNum` VARCHAR(200) NULL DEFAULT NULL,
  `IssueDate` DATETIME NULL DEFAULT NULL,
  `InvoiceTaxAmount` DECIMAL(18,3) NULL DEFAULT NULL,
  `InvoiceAmount` DECIMAL(18,3) NULL DEFAULT NULL,
  `AuditResult` TEXT NULL DEFAULT NULL,
  `CreateTime` DATETIME NULL DEFAULT NULL,
  `PeriodId` INT(11) NULL DEFAULT NULL,
  `CreatorID` VARCHAR(128) NULL DEFAULT NULL,
  `Status` INT(11) NULL DEFAULT NULL,
  `PartAccntedPeriod` INT(11) NULL DEFAULT NULL,
  `AccntedPeriod` INT(11) NULL DEFAULT NULL,
  PRIMARY KEY (`CustomsId`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`DataSource`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`DataSource` (
  `ID` VARCHAR(128) NOT NULL,
  `Type` INT(11) NOT NULL,
  `Name` TEXT NULL DEFAULT NULL,
  `Amount` DECIMAL(20,4) NULL DEFAULT NULL,
  `Description` LONGTEXT NULL DEFAULT NULL,
  `KeyValueDataID` VARCHAR(128) NULL DEFAULT NULL,
  `Creator` VARCHAR(128) NOT NULL,
  `CreateTime` DATETIME NOT NULL,
  `Updater` VARCHAR(128) NOT NULL,
  `UpdateTime` DATETIME NOT NULL,
  `RowName` TEXT NULL DEFAULT NULL,
  `ColumnName` TEXT NULL DEFAULT NULL,
  `RowIndex` INT(11) NULL DEFAULT NULL,
  `RemapBatchId` VARCHAR(128) NULL DEFAULT NULL,
  `ColumnIndex` INT(11) NULL DEFAULT NULL,
  PRIMARY KEY (`ID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`DataSourceDetail`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`DataSourceDetail` (
  `ID` VARCHAR(128) NOT NULL,
  `DataSourceID` VARCHAR(128) NOT NULL,
  `DataSourceType` INT(11) NOT NULL,
  `ItemValue` VARCHAR(128) NOT NULL,
  PRIMARY KEY (`ID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`EnterpriseAccount`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`EnterpriseAccount` (
  `ID` VARCHAR(128) NOT NULL,
  `AcctCode` VARCHAR(50) NOT NULL,
  `Name` VARCHAR(50) NOT NULL,
  `ParentCode` VARCHAR(50) NULL DEFAULT NULL,
  `FullName` VARCHAR(200) NULL DEFAULT NULL,
  `AcctProp` INT(11) NULL DEFAULT NULL,
  `SubProp` INT(11) NULL DEFAULT NULL,
  `AcctLevel` INT(11) NULL DEFAULT NULL,
  `Direction` INT(11) NOT NULL,
  `IsLeaf` SMALLINT(6) NULL DEFAULT NULL,
  `IsActive` SMALLINT(6) NOT NULL,
  `EnglishName` VARCHAR(200) NULL DEFAULT NULL,
  `StdCode` VARCHAR(50) NULL DEFAULT NULL,
  `EnterpriseAccountSetID` VARCHAR(128) NOT NULL,
  `IsDummy` INT(11) NULL DEFAULT NULL,
  `IsInVoucher` INT(11) NULL DEFAULT NULL,
  `CreatorID` VARCHAR(128) NOT NULL,
  `UpdatorID` VARCHAR(128) NOT NULL,
  `CreateTime` DATETIME NOT NULL,
  `UpdateTime` DATETIME NOT NULL,
  PRIMARY KEY (`ID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`EntriesCheckDetailResult`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`EntriesCheckDetailResult` (
  `ID` VARCHAR(128) NOT NULL,
  `ResultID` VARCHAR(128) NOT NULL,
  `IsDoubt` INT(11) NOT NULL,
  `IsBigVoucher` INT(11) NOT NULL,
  `VoucherID` VARCHAR(128) NOT NULL,
  `VID` TEXT NOT NULL,
  `Date` DATE NOT NULL,
  `Group` VARCHAR(50) NULL DEFAULT NULL,
  `Period` INT(11) NULL DEFAULT NULL,
  `CustomerCode` VARCHAR(50) NULL DEFAULT NULL,
  `CustomerName` VARCHAR(100) NULL DEFAULT NULL,
  `Summary` TEXT NULL DEFAULT NULL,
  `AcctCode` VARCHAR(50) NULL DEFAULT NULL,
  `StdCode` VARCHAR(50) NULL DEFAULT NULL,
  `Debit` DECIMAL(18,3) NULL DEFAULT NULL,
  `Credit` DECIMAL(18,3) NULL DEFAULT NULL,
  `Attach` BIGINT(20) NULL DEFAULT NULL,
  `ItemID` TEXT NULL DEFAULT NULL,
  `ImportType` INT(11) NULL DEFAULT NULL,
  `IsFiltered` INT(11) NOT NULL,
  `IsRelevantAmt` INT(11) NOT NULL,
  `CreateTime` DATETIME NOT NULL,
  `UpdateTime` DATETIME NOT NULL,
  PRIMARY KEY (`ID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`EntriesCheckResult`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`EntriesCheckResult` (
  `ID` VARCHAR(128) NOT NULL,
  `ModelID` VARCHAR(128) NOT NULL,
  `Code` VARCHAR(20) NOT NULL,
  `Name` VARCHAR(50) NOT NULL,
  `Description` TEXT NULL DEFAULT NULL,
  `VoucherNum` INT(11) NOT NULL,
  `EntriesNum` INT(11) NOT NULL,
  `DebitRelevantAmt` DECIMAL(18,3) NOT NULL,
  `CreditRelevantAmt` DECIMAL(18,3) NOT NULL,
  `DebitTotalAmt` DECIMAL(18,3) NOT NULL,
  `CreditTotalAmt` DECIMAL(18,3) NOT NULL,
  `BigVoucherNum` INT(11) NOT NULL,
  `BigEntriesNum` INT(11) NOT NULL,
  `BigDebitRelevantAmt` DECIMAL(18,3) NOT NULL,
  `BigCreditRelevantAmt` DECIMAL(18,3) NOT NULL,
  `BigDebitTotalAmt` DECIMAL(18,3) NOT NULL,
  `BigCreditTotalAmt` DECIMAL(18,3) NOT NULL,
  `EntryDoubts` INT(11) NOT NULL,
  `BigEntryDoubts` INT(11) NOT NULL,
  `VoucherDoubts` INT(11) NOT NULL,
  `BigVoucherDoubts` INT(11) NOT NULL,
  `IsFiltered` INT(11) NOT NULL,
  `ServiceTypeID` VARCHAR(128) NOT NULL,
  `CategoryID` VARCHAR(128) NOT NULL,
  `Type` INT(11) NOT NULL,
  `IsFilter` INT(11) NOT NULL,
  `IsShow` INT(11) NOT NULL,
  `Period` INT(11) NOT NULL,
  `CreateTime` DATETIME NOT NULL,
  `UpdateTime` DATETIME NOT NULL,
  PRIMARY KEY (`ID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`FormulaCache`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`FormulaCache` (
  `ID` VARCHAR(128) NOT NULL,
  `Period` INT(11) NOT NULL,
  `Year` INT(11) NOT NULL,
  `Formula` TEXT NOT NULL,
  `FormulaValue` VARCHAR(200) NULL DEFAULT NULL,
  `TargetReportTemplateID` VARCHAR(128) NULL DEFAULT NULL,
  `TargetRowIndex` INT(11) NULL DEFAULT NULL,
  `TargetRowName` VARCHAR(200) NULL DEFAULT NULL,
  `TargetColumnIndex` INT(11) NULL DEFAULT NULL,
  `TargetColumnName` VARCHAR(200) NULL DEFAULT NULL,
  `TargetPeriod` INT(11) NULL DEFAULT NULL,
  `TargetCellDataID` VARCHAR(128) NULL DEFAULT NULL,
  `TargetCellTemplateID` VARCHAR(128) NULL DEFAULT NULL,
  `ResultType` INT(11) NULL DEFAULT NULL,
  `CreateTime` DATETIME NOT NULL,
  PRIMARY KEY (`ID`, `Period`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`GoodsMapping`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`GoodsMapping` (
  `ID` VARCHAR(128) NOT NULL,
  `CustGoodsName` VARCHAR(50) NULL DEFAULT NULL,
  `StdGoodsName` VARCHAR(50) NULL DEFAULT NULL,
  `CreatorID` VARCHAR(128) NULL DEFAULT NULL,
  `CreateTime` DATETIME NOT NULL,
  `UpdateTime` DATETIME NOT NULL,
  PRIMARY KEY (`ID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`ImportFile`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`ImportFile` (
  `FileID` VARCHAR(128) NOT NULL,
  `FilePath` TEXT NOT NULL,
  `FileName` TEXT NULL DEFAULT NULL,
  `PeriodID` INT(11) NULL DEFAULT NULL,
  `FileType` VARCHAR(50) NULL DEFAULT NULL,
  `CreatorID` VARCHAR(128) NOT NULL,
  `CreateTime` DATETIME NOT NULL,
  `FileImportType` INT(11) NULL DEFAULT NULL,
  `Comments` LONGTEXT NULL DEFAULT NULL,
  PRIMARY KEY (`FileID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`IndexAnalysisDetailResult`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`IndexAnalysisDetailResult` (
  `ID` VARCHAR(128) NOT NULL,
  `ResultID` VARCHAR(128) NOT NULL,
  `Year` INT(11) NOT NULL,
  `Period` INT(11) NOT NULL,
  `IndexName` VARCHAR(50) NULL DEFAULT NULL,
  `Sequence` INT(11) NULL DEFAULT NULL,
  `DisplayType` INT(11) NULL DEFAULT NULL,
  `IsVisible` INT(11) NOT NULL,
  `IsMainValue` INT(11) NOT NULL,
  `IsYearValue` INT(11) NOT NULL,
  `IsMonExp` INT(11) NOT NULL,
  `IsYearExp` INT(11) NOT NULL,
  `IndexResult` VARCHAR(50) NULL DEFAULT NULL,
  `IndexCode` TEXT NULL DEFAULT NULL,
  `CreateTime` DATETIME NOT NULL,
  `UpdateTime` DATETIME NOT NULL,
  PRIMARY KEY (`ID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`IndexAnalysisResult`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`IndexAnalysisResult` (
  `ID` VARCHAR(128) NOT NULL,
  `ModelID` VARCHAR(128) NOT NULL,
  `Code` VARCHAR(20) NOT NULL,
  `Name` VARCHAR(50) NOT NULL,
  `Description` TEXT NULL DEFAULT NULL,
  `MonthExplain` VARCHAR(200) NULL DEFAULT NULL,
  `YearExplain` VARCHAR(200) NULL DEFAULT NULL,
  `ServiceTypeID` VARCHAR(128) NOT NULL,
  `CategoryID` VARCHAR(128) NOT NULL,
  `Type` INT(11) NOT NULL,
  `IndexCodeTotal` TEXT NULL DEFAULT NULL,
  `IsShow` INT(11) NOT NULL,
  `IsReport` INT(11) NOT NULL,
  `CreateTime` DATETIME NOT NULL,
  `UpdateTime` DATETIME NOT NULL,
  PRIMARY KEY (`ID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`InputVATInvoice`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`InputVATInvoice` (
  `ID` VARCHAR(128) NOT NULL,
  `PeriodID` INT(11) NOT NULL,
  `InvoiceCode` VARCHAR(50) NOT NULL,
  `InvoiceNumber` VARCHAR(50) NOT NULL,
  `InvoiceDate` DATETIME NOT NULL,
  `SellerTaxNumber` VARCHAR(50) NOT NULL,
  `Amount` DECIMAL(18,4) NULL DEFAULT NULL,
  `TaxAmount` DECIMAL(18,4) NULL DEFAULT NULL,
  `InvoiceType` INT(11) NOT NULL,
  `CertificationResult` VARCHAR(50) NULL DEFAULT NULL,
  `CertificationDate` DATETIME NULL DEFAULT NULL,
  `CreatorID` VARCHAR(128) NOT NULL,
  `CreateTime` DATETIME NOT NULL,
  `Status` INT(11) NULL DEFAULT NULL,
  `PartAccntedPeriod` INT(11) NULL DEFAULT NULL,
  `AccntedPeriod` INT(11) NULL DEFAULT NULL,
  PRIMARY KEY (`ID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`InputVATInvoiceItem`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`InputVATInvoiceItem` (
  `ID` VARCHAR(128) NOT NULL,
  `InputVATInvoiceID` VARCHAR(128) NOT NULL,
  `PeriodID` INT(11) NOT NULL,
  `InvoiceCode` VARCHAR(50) NOT NULL,
  `InvoiceNumber` VARCHAR(50) NOT NULL,
  `Amount` DECIMAL(18,4) NULL DEFAULT NULL,
  `TaxAmount` DECIMAL(18,4) NULL DEFAULT NULL,
  `TaxRate` DECIMAL(18,4) NULL DEFAULT NULL,
  `ProductionName` VARCHAR(100) NOT NULL,
  `CreatorID` VARCHAR(128) NOT NULL,
  `CreateTime` DATETIME NOT NULL,
  `ProductionCode` VARCHAR(50) NULL DEFAULT NULL,
  PRIMARY KEY (`ID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`InvoiceMapping`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`InvoiceMapping` (
  `ID` VARCHAR(128) NOT NULL,
  `TranCode` VARCHAR(50) NOT NULL,
  `InvoiceCode` VARCHAR(50) NOT NULL,
  `InvoiceNumber` VARCHAR(50) NOT NULL,
  `Period` INT(11) NOT NULL,
  `CreatorID` VARCHAR(128) NULL DEFAULT NULL,
  `CreateTime` DATETIME NOT NULL,
  PRIMARY KEY (`ID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`ModelBackFillAmount`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`ModelBackFillAmount` (
  `ID` VARCHAR(128) NOT NULL,
  `DataSourceID` VARCHAR(128) NOT NULL,
  `EntriesCheckResultID` VARCHAR(128) NOT NULL,
  `Amount` DECIMAL(20,4) NOT NULL,
  `CellDataID` VARCHAR(128) NOT NULL,
  PRIMARY KEY (`ID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`ModelCategoryResult`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`ModelCategoryResult` (
  `ID` VARCHAR(128) NOT NULL,
  `CategoryID` VARCHAR(128) NOT NULL,
  `ClientCode` VARCHAR(50) NOT NULL,
  `OrganizationID` VARCHAR(128) NOT NULL,
  `Category` VARCHAR(10) NOT NULL,
  `ParentID` VARCHAR(128) NOT NULL,
  `Sort` INT(11) NOT NULL,
  `Quantity` INT(11) NOT NULL,
  `CreateTime` DATETIME NOT NULL,
  `UpdateTime` DATETIME NOT NULL,
  `IndustryID` VARCHAR(128) NULL DEFAULT NULL,
  `ServiceTypeID` VARCHAR(128) NOT NULL,
  PRIMARY KEY (`ID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`ModelDetailLog`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`ModelDetailLog` (
  `ID` VARCHAR(128) NOT NULL,
  `ModelLogID` VARCHAR(128) NOT NULL,
  `Feature` INT(11) NOT NULL,
  `ModelID` VARCHAR(128) NOT NULL,
  `Code` VARCHAR(20) NOT NULL,
  `Name` VARCHAR(50) NOT NULL,
  `Description` TEXT NULL DEFAULT NULL,
  `RunningResult` INT(11) NOT NULL,
  `Period` INT(11) NOT NULL,
  `CreateTime` DATETIME NOT NULL,
  `UpdateTime` DATETIME NOT NULL,
  PRIMARY KEY (`ID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`ModelLog`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`ModelLog` (
  `ID` VARCHAR(128) NOT NULL,
  `OrganizationID` VARCHAR(128) NOT NULL,
  `RunNumber` INT(11) NOT NULL,
  `Description` TEXT NULL DEFAULT NULL,
  `SuccessNumber` INT(11) NOT NULL,
  `FailureNumber` INT(11) NOT NULL,
  `ServiceTypeID` VARCHAR(128) NOT NULL,
  `CreateTime` DATETIME NOT NULL,
  `UpdateTime` DATETIME NOT NULL,
  PRIMARY KEY (`ID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`ModifiedReportCell`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`ModifiedReportCell` (
  `ID` VARCHAR(128) NOT NULL,
  `ReportId` VARCHAR(128) NULL DEFAULT NULL,
  `Row` INT(11) NULL DEFAULT NULL,
  `Col` INT(11) NULL DEFAULT NULL,
  `OriginalValue` VARCHAR(200) NULL DEFAULT NULL,
  `Value` VARCHAR(200) NULL DEFAULT NULL,
  `RelatedCellDataId` VARCHAR(128) NULL DEFAULT NULL,
  `Comment` TEXT NULL DEFAULT NULL,
  `CreateTime` DATETIME NULL DEFAULT NULL,
  `UpdateTime` DATETIME NULL DEFAULT NULL,
  PRIMARY KEY (`ID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`OperationLog`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`OperationLog` (
  `ID` VARCHAR(128) NOT NULL,
  `OperationName` VARCHAR(200) NOT NULL,
  `ModuleID` INT(11) NOT NULL,
  `OperationObject` LONGTEXT NULL DEFAULT NULL,
  `OperationType` INT(11) NOT NULL,
  `OperationContent` LONGTEXT NULL DEFAULT NULL,
  `OriginalState` LONGTEXT NULL DEFAULT NULL,
  `UpdateState` LONGTEXT NULL DEFAULT NULL,
  `CreatorID` VARCHAR(128) NOT NULL,
  `Comment` LONGTEXT NULL DEFAULT NULL,
  `CreateTime` DATETIME NOT NULL,
  `UpdateTime` DATETIME NOT NULL,
  `IP` VARCHAR(100) NULL DEFAULT NULL,
  `Period` INT(11) NULL DEFAULT NULL,
  `ServiceType` INT(11) NULL DEFAULT NULL,
  PRIMARY KEY (`ID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`OutputVATInvoice`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`OutputVATInvoice` (
  `InvoiceID` VARCHAR(128) NOT NULL,
  `InvoiceType` INT(11) NOT NULL,
  `ClassCode` VARCHAR(50) NOT NULL,
  `InvoiceNumber` VARCHAR(50) NOT NULL,
  `BuyerName` VARCHAR(200) NULL DEFAULT NULL,
  `BuyerTaxNumber` VARCHAR(200) NULL DEFAULT NULL,
  `BankAccount` VARCHAR(200) NULL DEFAULT NULL,
  `PhoneNum` VARCHAR(200) NULL DEFAULT NULL,
  `InvoiceDate` DATETIME NOT NULL,
  `SeqNo` INT(11) NOT NULL,
  `PeriodID` INT(11) NOT NULL,
  `Status` INT(11) NULL DEFAULT NULL,
  `CreatorID` VARCHAR(128) NOT NULL,
  `CreateTime` DATETIME NOT NULL,
  `PartAccntedPeriod` INT(11) NULL DEFAULT NULL,
  `AccntedPeriod` INT(11) NULL DEFAULT NULL,
  PRIMARY KEY (`InvoiceID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`OutputVATInvoiceItem`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`OutputVATInvoiceItem` (
  `ItemID` VARCHAR(128) NOT NULL,
  `InvoiceID` VARCHAR(128) NOT NULL,
  `CodeVersion` VARCHAR(50) NULL DEFAULT NULL,
  `ProductName` VARCHAR(200) NULL DEFAULT NULL,
  `DocumentNum` VARCHAR(100) NULL DEFAULT NULL,
  `ProductStandard` VARCHAR(100) NULL DEFAULT NULL,
  `Unit` VARCHAR(100) NULL DEFAULT NULL,
  `Quantity` INT(11) NULL DEFAULT NULL,
  `UnitPrice` DOUBLE NULL DEFAULT NULL,
  `Amount` DECIMAL(18,4) NOT NULL,
  `TaxRate` DECIMAL(18,4) NOT NULL,
  `TaxAmount` DECIMAL(18,4) NOT NULL,
  `SeqNo` INT(11) NOT NULL,
  `TaxClassCode` VARCHAR(100) NULL DEFAULT NULL,
  `CreatorID` VARCHAR(128) NOT NULL,
  `CreateTime` DATETIME NOT NULL,
  `PeriodID` INT(11) NOT NULL,
  PRIMARY KEY (`ItemID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`PeriodCellReference`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`PeriodCellReference` (
  `ID` VARCHAR(128) NOT NULL,
  `Period` INT(11) NOT NULL,
  `FormulaBlockIndex` INT(11) NOT NULL,
  `ReferenceFromCellID` VARCHAR(128) NULL DEFAULT NULL,
  `ReferenceFromTemplateID` VARCHAR(128) NULL DEFAULT NULL,
  `ReferenceToCellID` VARCHAR(128) NULL DEFAULT NULL,
  `ReferenceToTemplateID` VARCHAR(128) NULL DEFAULT NULL,
  `ReferenceFromKeyValueID` VARCHAR(128) NULL DEFAULT NULL,
  `ReferenceToKeyValueID` VARCHAR(128) NULL DEFAULT NULL,
  `IsValidation` INT(11) NOT NULL,
  PRIMARY KEY (`ID`, `Period`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`PeriodCellTemplate`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`PeriodCellTemplate` (
  `ID` VARCHAR(128) NOT NULL,
  `Period` INT(11) NOT NULL,
  `ReportTemplateID` VARCHAR(128) NOT NULL,
  `RowIndex` INT(11) NOT NULL,
  `RowName` TEXT NULL DEFAULT NULL,
  `ColumnIndex` INT(11) NOT NULL,
  `ColumnName` TEXT NULL DEFAULT NULL,
  `Comment` TEXT NULL DEFAULT NULL,
  `CreateTime` DATETIME NOT NULL,
  `UpdateTime` DATETIME NOT NULL,
  `CopyFromID` VARCHAR(128) NULL DEFAULT NULL,
  `DataType` INT(11) NULL DEFAULT NULL,
  `IsReadOnly` INT(11) NULL DEFAULT NULL,
  PRIMARY KEY (`ID`, `Period`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`PeriodCellTemplateConfig`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`PeriodCellTemplateConfig` (
  `ID` VARCHAR(128) NOT NULL,
  `Period` INT(11) NOT NULL,
  `CellTemplateID` VARCHAR(128) NOT NULL,
  `ReportTemplateID` VARCHAR(128) NULL DEFAULT NULL,
  `DataSourceType` INT(11) NOT NULL,
  `Formula` TEXT NULL DEFAULT NULL,
  `ParsedFormula` TEXT NULL DEFAULT NULL,
  `FormulaDescription` TEXT NULL DEFAULT NULL,
  `AccountCodes` TEXT NULL DEFAULT NULL,
  `InvoiceType` INT(11) NULL DEFAULT NULL,
  `TaxRate` VARCHAR(50) NULL DEFAULT NULL,
  `InvoiceAmountType` INT(11) NULL DEFAULT NULL,
  `ModelIDs` TEXT NULL DEFAULT NULL,
  `Creator` VARCHAR(128) NOT NULL,
  `CreateTime` DATETIME NOT NULL,
  `Updater` VARCHAR(128) NOT NULL,
  `UpdateTime` DATETIME NOT NULL,
  `InvoiceCategory` VARCHAR(50) NULL DEFAULT NULL,
  `FormulaDataSource` TEXT NULL DEFAULT NULL,
  `Validation` TEXT NULL DEFAULT NULL,
  `ParsedValidation` TEXT NULL DEFAULT NULL,
  `ValidationDescription` TEXT NULL DEFAULT NULL,
  `VoucherKeyword` TEXT NULL DEFAULT NULL,
  PRIMARY KEY (`ID`, `Period`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`PeriodFormulaBlock`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`PeriodFormulaBlock` (
  `ID` VARCHAR(128) NOT NULL,
  `Period` INT(11) NOT NULL,
  `FormulaBlock` VARCHAR(50) NOT NULL,
  `Index` INT(11) NOT NULL,
  `Data` VARCHAR(200) NULL DEFAULT NULL,
  `ResultType` INT(11) NULL DEFAULT NULL,
  `DataSourceInfo` LONGTEXT NULL DEFAULT NULL,
  `IsCalculated` SMALLINT(6) NULL DEFAULT NULL,
  `Creator` VARCHAR(128) NULL DEFAULT NULL,
  `CreateTime` DATETIME NULL DEFAULT NULL,
  `Updater` VARCHAR(128) NULL DEFAULT NULL,
  `UpdateTime` DATETIME NULL DEFAULT NULL,
  PRIMARY KEY (`ID`, `Period`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`PeriodTaxPayerReportRule`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`PeriodTaxPayerReportRule` (
  `ID` VARCHAR(128) NOT NULL,
  `IsDefault` INT(11) NOT NULL,
  `Period` INT(11) NOT NULL,
  `TaxPayerType` INT(11) NOT NULL,
  `TemplateGroupID` VARCHAR(128) NOT NULL,
  `OrganizationID` LONGTEXT NULL DEFAULT NULL,
  `CreateTime` DATETIME NOT NULL,
  `UpdateTime` DATETIME NOT NULL,
  PRIMARY KEY (`ID`, `Period`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`PeriodTaxRuleSetting`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`PeriodTaxRuleSetting` (
  `ID` VARCHAR(128) NOT NULL,
  `Name` VARCHAR(50) NOT NULL,
  `IsDefault` INT(11) NOT NULL,
  `Period` INT(11) NOT NULL,
  `GroupName` VARCHAR(50) NULL DEFAULT NULL,
  `TaxBase` TEXT NOT NULL,
  `TaxRate` DECIMAL(20,4) NOT NULL,
  `CreateTime` DATETIME NOT NULL,
  `UpdateTime` DATETIME NOT NULL,
  PRIMARY KEY (`ID`, `Period`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`PeriodTaxRuleSettingOrganization`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`PeriodTaxRuleSettingOrganization` (
  `ID` VARCHAR(128) NOT NULL,
  `TaxSettingID` VARCHAR(128) NOT NULL,
  `Period` INT(11) NOT NULL,
  `OrganizationID` VARCHAR(128) NOT NULL,
  `CreateTime` DATETIME NOT NULL,
  `UpdateTime` DATETIME NOT NULL,
  PRIMARY KEY (`ID`, `Period`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`PeriodTemplate`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`PeriodTemplate` (
  `ID` VARCHAR(128) NOT NULL,
  `Period` INT(11) NOT NULL,
  `Name` TEXT NOT NULL,
  `Code` TEXT NULL DEFAULT NULL,
  `Path` TEXT NOT NULL,
  `ReportType` INT(11) NULL DEFAULT NULL,
  `TemplateGroupID` VARCHAR(128) NOT NULL,
  `OrderIndex` INT(11) NULL DEFAULT NULL,
  `CreateTime` DATETIME NOT NULL,
  `UpdateTime` DATETIME NOT NULL,
  `IsSystemType` INT(11) NOT NULL,
  `IsActiveAssociation` INT(11) NOT NULL,
  `ParentId` VARCHAR(128) NULL DEFAULT NULL,
  PRIMARY KEY (`ID`, `Period`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`Report`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`Report` (
  `ID` VARCHAR(128) NOT NULL,
  `TemplateID` VARCHAR(128) NOT NULL,
  `Period` INT(11) NOT NULL,
  `ProjectID` VARCHAR(128) NULL DEFAULT NULL,
  `Creator` VARCHAR(128) NOT NULL,
  `CreateTime` DATETIME NOT NULL,
  `Updater` VARCHAR(128) NOT NULL,
  `UpdateTime` DATETIME NOT NULL,
  PRIMARY KEY (`ID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`StandardAccount`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`StandardAccount` (
  `ID` VARCHAR(128) NOT NULL,
  `Code` VARCHAR(50) NOT NULL,
  `Name` VARCHAR(50) NOT NULL,
  `ParentCode` VARCHAR(50) NULL DEFAULT NULL,
  `FullName` VARCHAR(200) NULL DEFAULT NULL,
  `AcctProp` INT(11) NULL DEFAULT NULL,
  `SubProp` INT(11) NULL DEFAULT NULL,
  `AcctLevel` INT(11) NULL DEFAULT NULL,
  `Direction` INT(11) NOT NULL,
  `IsLeaf` SMALLINT(6) NOT NULL,
  `RuleType` INT(11) NOT NULL,
  `IsActive` SMALLINT(6) NOT NULL,
  `EnglishName` VARCHAR(200) NULL DEFAULT NULL,
  `IndustryID` VARCHAR(128) NOT NULL,
  PRIMARY KEY (`ID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`ValidationInfo`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`ValidationInfo` (
  `ID` VARCHAR(128) NOT NULL,
  `ImportTypeId` INT(11) NOT NULL,
  `ValidationResult` LONGTEXT NULL DEFAULT NULL,
  `ValidationDetails` LONGTEXT NULL DEFAULT NULL,
  `ValidationTips` LONGTEXT NULL DEFAULT NULL,
  `Number` INT(11) NULL DEFAULT NULL,
  `CreatorId` VARCHAR(50) NULL DEFAULT NULL,
  `CreateTime` DATETIME NULL DEFAULT NULL,
  `PeriodId` INT(11) NULL DEFAULT NULL,
  `ErpCheckTypeId` INT(11) NULL DEFAULT NULL,
  `ErrorLevel` INT(11) NULL DEFAULT NULL,
  `IsShowDetail` SMALLINT(6) NULL DEFAULT NULL,
  PRIMARY KEY (`ID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`Voucher`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`Voucher` (
  `VoucherID` VARCHAR(128) NOT NULL,
  `VID` TEXT NOT NULL,
  `Date` DATE NOT NULL,
  `Group` VARCHAR(50) NULL DEFAULT NULL,
  `Period` INT(11) NULL DEFAULT NULL,
  `CustomerCode` VARCHAR(50) NULL DEFAULT NULL,
  `CustomerName` VARCHAR(100) NULL DEFAULT NULL,
  `Summary` TEXT NULL DEFAULT NULL,
  `AcctCode` VARCHAR(50) NULL DEFAULT NULL,
  `Debit` DECIMAL(18,3) NULL DEFAULT NULL,
  `Credit` DECIMAL(18,3) NULL DEFAULT NULL,
  `Attach` BIGINT(20) NULL DEFAULT NULL,
  `ItemID` TEXT NULL DEFAULT NULL,
  `CreateTime` DATETIME NULL DEFAULT NULL,
  `ImportType` INT(11) NULL DEFAULT NULL,
  `CreatorID` VARCHAR(128) NULL DEFAULT NULL,
  `MonthID` INT(11) NULL DEFAULT NULL,
  `OriginalPeriod` INT(11) NULL DEFAULT NULL,
  `Status` INT(11) NULL DEFAULT NULL,
  `PartBilledPeriod` INT(11) NULL DEFAULT NULL,
  `BilledPeriod` INT(11) NULL DEFAULT NULL,
  `StdCode` VARCHAR(50) NULL DEFAULT NULL,
  `MappingReason` TEXT NULL DEFAULT NULL,
  `MappingUser` VARCHAR(128) NULL DEFAULT NULL,
  `MappingTime` DATETIME NULL DEFAULT NULL,
  `RemapId` VARCHAR(128) NULL DEFAULT NULL,
  PRIMARY KEY (`VoucherID`),
  INDEX `IX_Voucher_AcctCode` USING BTREE (`AcctCode` ASC),
  INDEX `IX_Voucher_CustomerCode` USING BTREE (`CustomerCode` ASC))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`VoucherMain`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`VoucherMain` (
  `VoucherMainID` VARCHAR(128) NOT NULL,
  `Period` INT(11) NULL DEFAULT NULL,
  `Group` VARCHAR(50) NULL DEFAULT NULL,
  `VID` TEXT NOT NULL,
  `VoucherCount` INT(11) NULL DEFAULT NULL,
  `AcctCodeCount` INT(11) NULL DEFAULT NULL,
  `Amount` DECIMAL(18,3) NULL DEFAULT NULL,
  `AmountCredit` DECIMAL(18,3) NULL DEFAULT NULL,
  `CreateTime` DATETIME NULL DEFAULT NULL,
  `UpdateTime` DATETIME NULL DEFAULT NULL,
  `CreatorID` VARCHAR(128) NULL DEFAULT NULL,
  PRIMARY KEY (`VoucherMainID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;


-- -----------------------------------------------------
-- Table `DBKeyword_ProjectDbName`.`VoucherMapping`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `DBKeyword_ProjectDbName`.`VoucherMapping` (
  `ID` VARCHAR(128) NOT NULL,
  `TranCode` VARCHAR(50) NOT NULL,
  `VID` VARCHAR(50) NOT NULL,
  `Period` INT(11) NOT NULL,
  `Group` VARCHAR(50) NULL DEFAULT NULL,
  `ItemID` VARCHAR(50) NULL DEFAULT NULL,
  `CreatorID` VARCHAR(128) NULL DEFAULT NULL,
  `CreateTime` DATETIME NOT NULL,
  PRIMARY KEY (`ID`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;

Insert INTO EnterpriseAccount
SELECT
    a.ID,
    a.Code,
    a.Name,
    a.ParentCode,
    a.FullName,
    a.AcctProp,
    a.SubProp,
    a.AcctLevel,
    a.Direction,
    a.IsLeaf,
    a.IsActive,
    a.EnglishName,
    b.StandardAccountCode AS StdCode,
    a.EnterpriseAccountSetID,
    0 AS IsDummy,
    0 AS IsInVoucher,
    a.CreatorID,
    a.UpdatorID,
    a.CreateTime,
    a.UpdateTime
FROM
    DBKeyword_AdminDbName.EnterpriseAccount a
        LEFT JOIN
    DBKeyword_AdminDbName.AccountMapping b ON a.EnterpriseAccountSetID = b.EnterpriseAccountSetID
        AND a.Code = b.EnterpriseAccountCode
        AND b.OrganizationID = 'DBKeyword_OrganizationID'
WHERE
    a.IsActive = 1
        AND a.EnterpriseAccountSetID = 'DBKeyword_EnterpriseAccountSetID';


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
