﻿vatModule.controller('VatReportLayoutController', ['$scope', '$log', '$q', 'loginContext',
    '$translate', '$location', 'templateGroupService', 'vatSessionService', 'vatReportService', '$state',
    function ($scope, $log, $q, loginContext, $translate, $location, templateGroupService, vatSessionService, vatReportService, $state) {
        'use strict';
        $log.debug('VatReportLayoutController.ctor()...');
 
        $scope.$on('refreshGenerateReport', function (event, data) {
            //$scope.selectedTemplateId = data.templateId;
            loadTemplateMenu();
        });
        var loadTemplateMenu = function () {
            // Mock Data
            var projectID = vatSessionService.project.id;
            //because project in overview is mock up, so I have to mock the project id from database,
            //otherwise the project not exist in database.
            //通用
            //projectID = 'd6dcfb47-a92c-4b0b-a063-354b63756bd0';
            //房地产
            //projectID = '0cf0945f-d41c-4df3-8235-ae693d5e724d';
            $q.all([
                templateGroupService.getGroupTemplateByGroupID('4285B794-CB65-435C-5ECA-28F0811B5832', projectID),
                vatReportService.getTemplate(vatSessionService.project.id, vatSessionService.month)
            ]).then(function (result) {
                if (!_.isEmpty(result[0]) && !_.isEmpty(result[0].data)
                    && !_.isEmpty(result[1]) && !_.isEmpty(result[1].data) && !_.isEmpty(result[1].data.data)) {

                    // 获取 BSPL Report Template
                    var grps = [];
                    if ($scope.hasBsPlPermission) {
                        grps = _.reject(result[0].data, { name: 'TaxReturn' });
                        if (grps && grps.children) {
                            if (!$scope.hasBsPermission) {
                                grps.children = _.reject(grps.children, { name: '资产负债表' });
                            }

                            if (!$scope.hasPlPermission) {
                                grps.children = _.reject(grps.children, { name: '利润表' });
                            }
                        }
                    }


                    if ($scope.hasTaxReturnPermission && $scope.hasQueryTaxReturnPermission) {
                        // 获取 申报表 Report Template
                        var taxRtnGrp = {
                            name: 'TaxReturn',
                            children: _.map(result[1].data.data, function (x) {
                                //if (x.templateID === $scope.selectedTemplateId) {
                                //    $state.go('vat.generateReport.reportView', { id: x.id, templateid: x.templateID, name: x.templateName });
                                //}
                                return {
                                    reportId: x.id,
                                    id: x.templateID,
                                    name: x.templateName,
                                    code: x.templateCode
                                };
                            }),
                            orderIndex: grps.length
                        };
                        grps.push(taxRtnGrp);
                    }

                    $scope.groups = _.chain(grps).sortBy(function (x) {
                        return x.orderIndex
                    }).map(function (x) {
                        x.isExpand = true;
                        return x;
                    }).value();

                    if (vatSessionService.isFromTopMenu) {
                        var firstNode = _.first(grps);
                        var firstSubNode = _.first(firstNode.children);
                        $scope.selectedTemplateId = firstSubNode.id;
                        $state.go('vat.generateReport.reportView', { id: firstSubNode.reportId, templateid: firstSubNode.id, name: firstSubNode.name, templatecode: firstSubNode.code });
                        vatSessionService.isFromTopMenu = false;
                    }
                    //var firstNode = _.first(grps);
                    //var firstSubNode = _.first(firstNode.children);
                    //$scope.selectedTemplateId = firstSubNode.id;
                    //$state.go('vat.generateReport.reportView', { id: firstSubNode.reportId, templateid: firstSubNode.id, name: firstSubNode.name, templatecode: firstSubNode.code });
                }
                //$scope.menus = [{ id: 'mainVatReturns', text: $translate.instant('mainVatReturnsReport').replace(/;/g, '<br/>') }];
            });
        };

        //检查用户机构权限
        var checkUserOrganizationPermissionList = function () {
            var list = [];
            var reportTemp = constant.vatPermission.reportView;
            list.push(reportTemp.bsplCode);
            list.push(reportTemp.bspl.bsCode);
            list.push(reportTemp.bspl.plCode);
            list.push(reportTemp.taxReturnCode);
            list.push(reportTemp.taxReturn.queryCode);
            list.push(reportTemp.taxReturn.editCode);
            $scope.hasBsPlPermission = false;
            $scope.hasBsPermission = false;
            $scope.hasPlPermission = false;
            $scope.hasTaxReturnPermission = false;
            $scope.hasQueryTaxReturnPermission = false;
            $scope.hasEditTaxReturnPermission = false;
            $scope.$root.checkUserOrganizationPermissionList(list).success(function (data) {
                $scope.hasBsPlPermission = data[reportTemp.bsplCode];
                $scope.hasBsPermission = data[reportTemp.bspl.bsCode];
                $scope.hasPlPermission = data[reportTemp.bspl.plCode];
                $scope.hasTaxReturnPermission = data[reportTemp.taxReturnCode];
                $scope.hasQueryTaxReturnPermission = data[reportTemp.taxReturn.queryCode];
                $scope.hasEditTaxReturnPermission = data[reportTemp.taxReturn.editCode];
            });
        };
        var toggleGroup = function (group) {
            group.isExpand = !group.isExpand;
        };
        (function initialize() {
            checkUserOrganizationPermissionList();
            loadTemplateMenu();
            $scope.expend = true;
            $scope.toggleGroup = toggleGroup;
        })();

    }]);